# cli.utils.fetch

`cli.utils.fetch`

Utilities for axolotl fetch CLI command.

## Functions

Name | Description
--- | ---
fetch_from_github | Sync files from a specific directory in the GitHub repository.

### fetch_from_github

    cli.utils.fetch.fetch_from_github(dir_prefix, dest_dir=None, max_workers=5)

Sync files from a specific directory in the GitHub repository. Only downloads files that don’t exist locally or have changed.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
dir_prefix | str | Directory prefix to filter files (e.g., ‘examples/’, ‘deepspeed_configs/’). | required
dest_dir | str | None | Local destination directory. | `None`
max_workers | int | Maximum number of concurrent downloads. | `5`